Imports EgtUILib
Imports EgtWPFLib5

Public Class PartParametersVM
   Inherits VMBase

#Region "Messages"

   Public ReadOnly Property NAM_MSG As String
      Get
         Return EgtMsg(61603)
      End Get
   End Property

   Public ReadOnly Property SINGLEMEMBERNUM_MSG As String
      Get
         Return EgtMsg(61618)
      End Get
   End Property

   Public ReadOnly Property ASSEMBLYNUM_MSG As String
      Get
         Return EgtMsg(61619)
      End Get
   End Property

   Public ReadOnly Property ORDERNUM_MSG As String
      Get
         Return EgtMsg(61620)
      End Get
   End Property

   Public ReadOnly Property DESIGN_MSG As String
      Get
         Return EgtMsg(61621)
      End Get
   End Property

   Public ReadOnly Property ANNOT_MSG As String
      Get
         Return EgtMsg(61622)
      End Get
   End Property

   Public ReadOnly Property STOREY_MSG As String
      Get
         Return EgtMsg(61623)
      End Get
   End Property

   Public ReadOnly Property GROUP_MSG As String
      Get
         Return EgtMsg(61624)
      End Get
   End Property

   Public ReadOnly Property PACKAGE_MSG As String
      Get
         Return EgtMsg(61625)
      End Get
   End Property

   Public ReadOnly Property MATERIAL_MSG As String
      Get
         Return EgtMsg(61626)
      End Get
   End Property

   Public ReadOnly Property TIMBERGRADE_MSG As String
      Get
         Return EgtMsg(61627)
      End Get
   End Property

   Public ReadOnly Property QUALITYGRADE_MSG As String
      Get
         Return EgtMsg(61628)
      End Get
   End Property

   Public ReadOnly Property COUNT_MSG As String
      Get
         Return EgtMsg(61629)
      End Get
   End Property

   Public ReadOnly Property COLOUR_MSG As String
      Get
         Return EgtMsg(61630)
      End Get
   End Property

   Public ReadOnly Property TRANSPARENCY_MSG As String
      Get
         Return EgtMsg(61631)
      End Get
   End Property

   Public ReadOnly Property PLANINGLEN_MSG As String
      Get
         Return EgtMsg(61632)
      End Get
   End Property

   Public ReadOnly Property STARTOFFSET_MSG As String
      Get
         Return EgtMsg(61633)
      End Get
   End Property

   Public ReadOnly Property ENDOFFSET_MSG As String
      Get
         Return EgtMsg(61634)
      End Get
   End Property

   Public ReadOnly Property UID_MSG As String
      Get
         Return EgtMsg(61691)
      End Get
   End Property

   Public ReadOnly Property TRANSFORIG_MSG As String
      Get
         Return EgtMsg(61635)
      End Get
   End Property

   Public ReadOnly Property TRANSFVERSX_MSG As String
      Get
         Return EgtMsg(61636)
      End Get
   End Property

   Public ReadOnly Property TRANSFVERSY_MSG As String
      Get
         Return EgtMsg(61637)
      End Get
   End Property

   Public ReadOnly Property CAMBERSIDE_MSG As String
      Get
         Return EgtMsg(61638)
      End Get
   End Property

   Public ReadOnly Property CAMBERPARAMS_MSG As String
      Get
         Return EgtMsg(61639)
      End Get
   End Property

   Public ReadOnly Property REFSIDEFIXCLAMP_MSG As String
      Get
         Return EgtMsg(61640)
      End Get
   End Property

   Public ReadOnly Property PARTOFFSETPARAMS_MSG As String
      Get
         Return EgtMsg(61641)
      End Get
   End Property

   Public ReadOnly Property PROCESSINGQUALITY_MSG As String
      Get
         Return EgtMsg(61642)
      End Get
   End Property

   Public ReadOnly Property RECESS_MSG As String
      Get
         Return EgtMsg(61643)
      End Get
   End Property

   Public ReadOnly Property STOREYTYPE_MSG As String
      Get
         Return EgtMsg(61644)
      End Get
   End Property

   Public ReadOnly Property ELEMENTNUM_MSG As String
      Get
         Return EgtMsg(61645)
      End Get
   End Property

   Public ReadOnly Property LAYER_MSG As String
      Get
         Return EgtMsg(61646)
      End Get
   End Property

   Public ReadOnly Property MODULENUM_MSG As String
      Get
         Return EgtMsg(61647)
      End Get
   End Property

   Public ReadOnly Property USERATTRIBUTE_MSG As String
      Get
         Return EgtMsg(61648)
      End Get
   End Property

   Public ReadOnly Property COMMENT_MSG As String
      Get
         Return EgtMsg(61649)
      End Get
   End Property

   Public ReadOnly Property GRAINDIRECTION_MSG As String
      Get
         Return EgtMsg(61650)
      End Get
   End Property

   Public ReadOnly Property GRAINDIRALIGN_MSG As String
      Get
         Return EgtMsg(61651)
      End Get
   End Property

   Public ReadOnly Property REFSIDE_MSG As String
      Get
         Return EgtMsg(61652)
      End Get
   End Property

   Public ReadOnly Property REFSIDEALIGN_MSG As String
      Get
         Return EgtMsg(61653)
      End Get
   End Property

   Public ReadOnly Property ALIGNLOCATION_MSG As String
      Get
         Return EgtMsg(61654)
      End Get
   End Property

   Public ReadOnly Property ALIGNENDTYPE_MSG As String
      Get
         Return EgtMsg(61655)
      End Get
   End Property

   Public ReadOnly Property MATERIALTYPEGRP_MSG As String
      Get
         Return EgtMsg(61656)
      End Get
   End Property

   Public ReadOnly Property MATERIALTYPESPEC_MSG As String
      Get
         Return EgtMsg(61657)
      End Get
   End Property

#End Region    ' Messages

End Class
